services:
  nocobase:
    image: nocobase/nocobase:2.0.11
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:80
    environment:
      - APP_KEY=${APP_KEY}
      - DB_DIALECT=${PANEL_DB_TYPE}
      - DB_HOST=${PANEL_DB_HOST}
      - DB_PORT=${PANEL_DB_PORT}
      - DB_DATABASE=${PANEL_DB_NAME}
      - DB_USER=${PANEL_DB_USER}
      - DB_PASSWORD=${PANEL_DB_USER_PASSWORD}
      - DB_UNDERSCORED=true
      - TZ=${TIME_ZONE}
    volumes:
      - ./data:/app/nocobase/storage
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
